#
# spec file for package m4 (Version 1.4o)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake gpp gppshare libgpp libtool
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         m4
Copyright:    GPL
Group:        System Environment/Base
Provides:     base:/usr/bin/m4
Autoreqprov:  on
Version:      1.4o
Release:      89
Summary:      GNU m4
URL: http://www.seindal.dk/rene/gnu/
Source: ftp://ftp.seindal.dk/gnu/m4-%{version}.tar.gz
Patch: m4-%{version}.dif

%description
GNU `m4' is an implementation of the traditional Unix macro
processor.

Authors:
--------
    Ren Seindal <rene@seindal.dk>

SuSE series: a

%prep
%setup
%patch

%build
regex=--without-included-regex
if test /usr/lib/libc.so -ef /lib/libc.so.5; then
  # libc5 has an inferior regex
  regex=
fi
libtoolize --force
aclocal -I acm4
autoconf
autoheader
(cd libltdl && autoconf)
%{?suse_update_config:%{suse_update_config -f}}
CFLAGS="$RPM_OPT_FLAGS" INSTALL_PROGRAM='${INSTALL} -s' \
./configure --prefix=/usr --mandir=%{_mandir} --infodir=%{_infodir} \
	    $regex %{_target_cpu}-suse-linux
make
make check

%install
make install-strip

%files
%doc README ABOUT-NLS AUTHORS COPYING NEWS THANKS TODO
/usr/bin/m4
%doc %{_infodir}/m4.info*.gz

%changelog -n m4
* Sat Jul 21 2001 - schwab@suse.de
- Run autoconf in libltdl.
- Fix libltdl/configure.in for autoconf 2.50+.
* Fri Jun 01 2001 - schwab@suse.de
- Fix for new configure tools.
* Thu Mar 22 2001 - ro@suse.de
- added split-aliases as provides
* Thu Mar 08 2001 - schwab@suse.de
- Don't use regex from libc5.
* Wed Mar 07 2001 - schwab@suse.de
- Split from base.
